﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    interface IMobilePay
    {
        /// <summary>
        /// 【6101】解析医保电子凭证二维码
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject parseEcCode(string inParam);

        /// <summary>
        /// 【6201】费用明细上传
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject uploadFeeDetails(string inParam);

        /// <summary>
        /// 【6202】支付下单
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject payOrder(string inParam);

        /// <summary>
        /// 【6203】医保退费
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject cancelPay(string inParam);

        /// <summary>
        /// 【6204】医保订单信息同步（医保订单异步通知接口,应由服务端实现）
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject orderNotify(string inParam);

        /// <summary>
        /// 【6301】医保订单结算结果查询
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject orderQuery(string inParam);

        /// <summary>
        /// 【6302】医保结算结果通知
        /// </summary>
        /// <param name="inParam"></param>
        /// <returns></returns>
        JObject payNotify(string inParam);

    }
}
